<.header>
  Listing Todos
  <:actions>
    <.link href={~p"/todos/new"}>
      <.button>New Todo item</.button>
    </.link>
  </:actions>
</.header>

<.table id="todos" rows={@todos} row_click={&JS.navigate(~p"/todos/#{&1}")}>
  <:col :let={todo_item} label="Description"><%= todo_item.description %></:col>
  <:col :let={todo_item} label="Checked"><.todo_item_checked todo_item={todo_item} /></:col>
  <:action :let={todo_item}>
    <div class="sr-only">
      <.link navigate={~p"/todos/#{todo_item}"}>Show</.link>
    </div>
    <.link navigate={~p"/todos/#{todo_item}/edit"}>Edit</.link>
  </:action>
  <:action :let={todo_item}>
    <.link href={~p"/todos/#{todo_item}"} method="delete" data-confirm="Are you sure?">
      Delete
    </.link>
  </:action>
</.table>
